## org.eclipse.jst.jsf.facesconfig.emf
Interface FacesConfigType

All Known Implementing Classes:
  FacesConfigTypeImpl

    public interface FacesConfigType

A representation of the model object 'Type'.

The following features are supported:

- `Application`
- `Ordering`
- `Absolute Ordering`
- `Factory`
- `Component`
- `Converter`
- `Managed Bean`
- `Name`
- `Navigation Rule`
- `Referenced Bean`
- `Render Kit`
- `Lifecycle`
- `Validator`
- `Behavior`
- `Faces Config Extension`
- `Xmlns`
- `Id`
- `Metadata Complete`

See Also:
  `FacesConfigPackage.getFacesConfigType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`AbsoluteOrderingType` `getAbsoluteOrdering()` Returns the value of the 'Absolute Ordering' containment reference
`EList` `getApplication()` Returns the value of the 'Application' containment reference list.
`EList` `getBehavior()` Returns the value of the 'Behavior' containment reference list.
`EList` `getComponent()` Returns the value of the 'Component' containment reference list.
`EList` `getConverter()` Returns the value of the 'Converter' containment reference list.
`EList` `getFacesConfigExtension()` Returns the value of the 'Faces Config Extension' reference list.
`EList` `getFactory()` Returns the value of the 'Factory' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getLifecycle()` Returns the value of the 'Lifecycle' containment reference list.
`EList` `getManagedBean()` Returns the value of the 'Managed Bean' containment reference list.
`NameType` `getName()` Returns the value of the 'Name' containment reference
`EList` `getNavigationRule()` Returns the value of the 'Navigation Rule' containment reference list.
`EList` `getOrdering()` Returns the value of the 'Ordering' containment reference list.
`EList` `getReferencedBean()` Returns the value of the 'Referenced Bean' containment reference list.
`EList` `getRenderKit()` Returns the value of the 'Render Kit' containment reference list.
`EList` `getValidator()` Returns the value of the 'Validator' containment reference list.
`java.lang.String` `getXmlns()` Returns the value of the 'Xmlns' attribute.
`boolean` `isMetadataComplete()` Returns the value of the 'Metadata Complete' attribute
`boolean` `isSetXmlns()` Returns whether the value of the '`Xmlns`' attribute is set
`void` `setAbsoluteOrdering(AbsoluteOrderingType value)` Sets the value of the '`Absolute Ordering`' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setMetadataComplete(boolean value)` Sets the value of the '`Metadata Complete`' attribute
`void` `setName(NameType value)` Sets the value of the '`Name`' containment reference
`void` `setXmlns(java.lang.String value)` Sets the value of the '`Xmlns`' attribute
`void` `unsetXmlns()` Unsets the value of the '`Xmlns`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getApplication

    EList getApplication()

  Returns the value of the 'Application' containment reference list. The list contents are of type `ApplicationType`.

  If the meaning of the 'Application' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Application' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Application()`

### getOrdering

    EList getOrdering()

  Returns the value of the 'Ordering' containment reference list. The list contents are of type `OrderingType`.

  If the meaning of the 'Ordering' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ordering' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Ordering()`

### getAbsoluteOrdering

    AbsoluteOrderingType getAbsoluteOrdering()

  Returns the value of the 'Absolute Ordering' containment reference.

  If the meaning of the 'Absolute Ordering' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Absolute Ordering' containment reference.
  See Also:
    `setAbsoluteOrdering(AbsoluteOrderingType)`, `FacesConfigPackage.getFacesConfigType_AbsoluteOrdering()`

### setAbsoluteOrdering

    void setAbsoluteOrdering(AbsoluteOrderingType value)

  Sets the value of the '`Absolute Ordering`' containment reference.

  Parameters:
    `value` - the new value of the 'Absolute Ordering' containment reference.
  See Also:
    `getAbsoluteOrdering()`

### getFactory

    EList getFactory()

  Returns the value of the 'Factory' containment reference list. The list contents are of type `FactoryType`.

  If the meaning of the 'Factory' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Factory()`

### getComponent

    EList getComponent()

  Returns the value of the 'Component' containment reference list. The list contents are of type `ComponentType`.

  If the meaning of the 'Component' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Component' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Component()`

### getConverter

    EList getConverter()

  Returns the value of the 'Converter' containment reference list. The list contents are of type `ConverterType`.

  If the meaning of the 'Converter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Converter' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Converter()`

### getManagedBean

    EList getManagedBean()

  Returns the value of the 'Managed Bean' containment reference list. The list contents are of type `ManagedBeanType`.

  If the meaning of the 'Managed Bean' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Managed Bean' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_ManagedBean()`

### getName

    NameType getName()

  Returns the value of the 'Name' containment reference.

  If the meaning of the 'Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `setName(NameType)`, `FacesConfigPackage.getFacesConfigType_Name()`

### setName

    void setName(NameType value)

  Sets the value of the '`Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Name' containment reference.
  See Also:
    `getName()`

### getNavigationRule

    EList getNavigationRule()

  Returns the value of the 'Navigation Rule' containment reference list. The list contents are of type `NavigationRuleType`.

  If the meaning of the 'Navigation Rule' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Navigation Rule' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_NavigationRule()`

### getReferencedBean

    EList getReferencedBean()

  Returns the value of the 'Referenced Bean' containment reference list. The list contents are of type `ReferencedBeanType`.

  If the meaning of the 'Referenced Bean' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referenced Bean' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_ReferencedBean()`

### getRenderKit

    EList getRenderKit()

  Returns the value of the 'Render Kit' containment reference list. The list contents are of type `RenderKitType`.

  If the meaning of the 'Render Kit' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Render Kit' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_RenderKit()`

### getLifecycle

    EList getLifecycle()

  Returns the value of the 'Lifecycle' containment reference list. The list contents are of type `LifecycleType`.

  If the meaning of the 'Lifecycle' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lifecycle' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Lifecycle()`

### getValidator

    EList getValidator()

  Returns the value of the 'Validator' containment reference list. The list contents are of type `ValidatorType`.

  If the meaning of the 'Validator' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Validator' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Validator()`

### getBehavior

    EList getBehavior()

  Returns the value of the 'Behavior' containment reference list. The list contents are of type `BehaviorType`.

  If the meaning of the 'Behavior' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Behavior' containment reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_Behavior()`

### getFacesConfigExtension

    EList getFacesConfigExtension()

  Returns the value of the 'Faces Config Extension' reference list. The list contents are of type `FacesConfigExtensionType`.

  If the meaning of the 'Faces Config Extension' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Faces Config Extension' reference list.
  See Also:
    `FacesConfigPackage.getFacesConfigType_FacesConfigExtension()`

### getXmlns

    java.lang.String getXmlns()

  Returns the value of the 'Xmlns' attribute. The default value is `"http://java.sun.com/JSF/Configuration"`.

  If the meaning of the 'Xmlns' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xmlns' attribute.
  See Also:
    `isSetXmlns()`, `unsetXmlns()`, `setXmlns(String)`, `FacesConfigPackage.getFacesConfigType_Xmlns()`

### setXmlns

    void setXmlns(java.lang.String value)

  Sets the value of the '`Xmlns`' attribute.

  Parameters:
    `value` - the new value of the 'Xmlns' attribute.
  See Also:
    `isSetXmlns()`, `unsetXmlns()`, `getXmlns()`

### unsetXmlns

    void unsetXmlns()

  Unsets the value of the '`Xmlns`' attribute.

  See Also:
    `isSetXmlns()`, `getXmlns()`, `setXmlns(String)`

### isSetXmlns

    boolean isSetXmlns()

  Returns whether the value of the '`Xmlns`' attribute is set.

  Returns:
    whether the value of the 'Xmlns' attribute is set.
  See Also:
    `unsetXmlns()`, `getXmlns()`, `setXmlns(String)`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getFacesConfigType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### isMetadataComplete

    boolean isMetadataComplete()

  Returns the value of the 'Metadata Complete' attribute.

  If the meaning of the 'Metadata Complete' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Metadata Complete' attribute.
  See Also:
    `setMetadataComplete(boolean)`, `FacesConfigPackage.getFacesConfigType_MetadataComplete()`

### setMetadataComplete

    void setMetadataComplete(boolean value)

  Sets the value of the '`Metadata Complete`' attribute.

  Parameters:
    `value` - the new value of the 'Metadata Complete' attribute.
  See Also:
    `isMetadataComplete()`